Package org.apache.felix.hc.core.impl.executor

## Class HealthCheckExecutorThreadPool

- java.lang.Object
- - org.apache.felix.hc.core.impl.executor.HealthCheckExecutorThreadPool

    public class HealthCheckExecutorThreadPool
    extends Object

Creates a thread pool via standard java.util.concurrent package to be used for parallel execution of health checks in HealthCheckExecutorImpl and AsyncHealthCheckExecutor

### Constructor Summary

Constructors
`HealthCheckExecutorThreadPool()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate​(org.apache.felix.hc.core.impl.executor.HealthCheckExecutorThreadPoolConfiguration configuration, org.osgi.framework.BundleContext bundleContext)`
`protected void` `deactivate()`
`void` `execute​(Runnable job)`
`ScheduledExecutorService` `getExecutor()`
`int` `getMaxCurrentlyAvailableThreads()`
`int` `getPoolSize()`
`ScheduledFuture<?>` `scheduleAtFixedRate​(Runnable job, long intervalInSec)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HealthCheckExecutorThreadPool

    public HealthCheckExecutorThreadPool()

### Method Detail

#### activate

    protected final void activate​(org.apache.felix.hc.core.impl.executor.HealthCheckExecutorThreadPoolConfiguration configuration,
                                  org.osgi.framework.BundleContext bundleContext)

#### deactivate

    protected final void deactivate()

#### execute

    public void execute​(Runnable job)

#### scheduleAtFixedRate

    public ScheduledFuture<?> scheduleAtFixedRate​(Runnable job,
                                                  long intervalInSec)

#### getPoolSize

    public int getPoolSize()

#### getMaxCurrentlyAvailableThreads

    public int getMaxCurrentlyAvailableThreads()

#### getExecutor

    public ScheduledExecutorService getExecutor()